%define name mp3info
%define version 0.8.4
%define release 5mdk

Summary: Mp3info - Utility for MP3 information and tag modification
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
Url:	 ftp://metalab.unc.edu/pub/linux/apps/sound/mp3-utils/mp3info
Source0: ftp.debian.org/debian/pool/main/m/mp3info/%{name}_%{version}.tar.bz2
Source1:	mp3info-16.png
Source2:	mp3info-32.png
Source3:	mp3info-48.png

License: GPL
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: XFree86-libs, libgtk+1.2-devel ncurses-devel
Requires: libgtk+1.2 libncurses5 libgpm1 libglib1.2

%description
An MP3 technical info viewer and ID3 1.x tag editor.
MP3Info has an interactive mode (using curses) and a command line mode.
MP3Info can display ID3 tag information as well as various technical aspects
of an MP3 file including playing time, bit-rate, sampling frequency and other
attributes in a pre-defined or user-specifiable output format.
It also has a VERY configurable output.
mp3info is availlable with both ncurses and gtk UIs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version.orig

%build
%make

%install
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1}
%makeinstall prefix=$RPM_BUILD_ROOT mandir=$RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%_menudir

cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(mp3info):needs=X11 section=Multimedia/Sound \
command="/usr/bin/gmp3info" title="MP3 info" icon="mp3info.png" \
longtitle="Utility for MP3 information and tag modification"
EOF

install -d %buildroot/%_liconsdir/
install -d %buildroot/%_miconsdir/
install -m 644 %SOURCE1 %buildroot/%_miconsdir/mp3info.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/mp3info.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/mp3info.png

cat >README.mandrake <<EOF
Earlier releases of Mandrake Linus included a different program with
the same name mp3info.
It has been replaced by this one, as the old mp3info was buggy and
no longer maintained upstream. The source seems to be a fork of the
original one (diffing with care of white space, ...).

The command line interface is mostly the same, altrough you might experience
some differences. Additionally there's curses interface available, as well as
GTK interface (separate package).

The following switches have changed their meanings in the new mp3info:
 -f (old mp3info: set print format, new mp3info: force mode)
 -F (old mp3info: set predefined format, new mp3info: full scan)
 -n (old mp3info: set title, new mp3info: set track number)
 -G (old mp3info: set genre by name, new mp3info: display genres)
 -p (old mp3info: list genres, new mp3info: set print format)

The following switches were renamed:
 -f (set print format) is now -p (format strings are changed, too)
 -W (wipe tag) is now -d
 -G (set genre by name) is incorporated into -g
 -p (list genres) is now -G

The following switches were removed:
 -T, -s, -w, -N, -e, -P, -R

The following switches were added:
 -h, -i, -r, -x
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr (-,root,root)
%doc README ChangeLog mp3info.lsm LICENSE README.mandrake
%{_bindir}/*
%{_mandir}/man1/*
%_menudir/%name
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%changelog
* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.4-5mdk
- xpm to png icons conversion

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.4-4mdk
- add %%url

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.4-3mdk
- BuildRequires: ncurses-devel

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 0.8.4-2mdk
- Use icons in menu

* Fri Aug 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.4-1mdk
- add {Build,}Requires
- add a README.mandrake which explain why the new prog
- fix source url
- enhanced description
- new release
- add menu entry

* Mon Jul 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.3-1mdk
- new release

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.16-5mdk
- fix build (includes of glibc-2.2.2)

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.16-4mdk
- capitalize summary

* Tue Aug 01 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.16-3mdk
- BM

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.16-2mdk
- fix group
- fix files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz archive, man pages

* Fri Mar 19 1999 Thorvald Natvig <thorvald@natvig.com>
- Initial release as RPM
